unit schRemesasClienteClient_Intf;

interface

uses
  Classes, DB, SysUtils, uROClasses, uDADataTable;

const
  { Data table rules ids
       Feel free to change them to something more human readable
       but make sure they are unique in the context of your application }
  RID_darReferencia = '{A1E303BC-14C6-44ED-AB3B-110321C46D8B}';
  RID_RemesasCliente = '{C09AAC97-CD9C-4A7F-BAB3-A7A7845FA2CE}';
  RID_RemesasCliente_Refresh = '{1212E969-2479-4D5B-B7FB-C88F220139E8}';

  { Data table names }
  nme_darReferencia = 'darReferencia';
  nme_RemesasCliente = 'RemesasCliente';
  nme_RemesasCliente_Refresh = 'RemesasCliente_Refresh';

  { darReferencia fields }
  fld_darReferenciaVALOR = 'VALOR';

  { darReferencia field indexes }
  idx_darReferenciaVALOR = 0;

  { RemesasCliente fields }
  fld_RemesasClienteID = 'ID';
  fld_RemesasClienteID_EMPRESA = 'ID_EMPRESA';
  fld_RemesasClienteREFERENCIA = 'REFERENCIA';
  fld_RemesasClienteTIPO = 'TIPO';
  fld_RemesasClienteFECHA_REMESA = 'FECHA_REMESA';
  fld_RemesasClienteDESCRIPCION = 'DESCRIPCION';
  fld_RemesasClienteUSUARIO = 'USUARIO';
  fld_RemesasClienteID_DATOS_BANCO = 'ID_DATOS_BANCO';
  fld_RemesasClienteFECHA_ALTA = 'FECHA_ALTA';
  fld_RemesasClienteFECHA_MODIFICACION = 'FECHA_MODIFICACION';
  fld_RemesasClienteIMPORTE_TOTAL = 'IMPORTE_TOTAL';
  fld_RemesasClienteNOMBRE = 'NOMBRE';
  fld_RemesasClienteENTIDAD = 'ENTIDAD';
  fld_RemesasClienteSUCURSAL = 'SUCURSAL';
  fld_RemesasClienteDC = 'DC';
  fld_RemesasClienteCUENTA = 'CUENTA';
  fld_RemesasClienteSUFIJO_N19 = 'SUFIJO_N19';
  fld_RemesasClienteSUFIJO_N58 = 'SUFIJO_N58';

  { RemesasCliente field indexes }
  idx_RemesasClienteID = 0;
  idx_RemesasClienteID_EMPRESA = 1;
  idx_RemesasClienteREFERENCIA = 2;
  idx_RemesasClienteTIPO = 3;
  idx_RemesasClienteFECHA_REMESA = 4;
  idx_RemesasClienteDESCRIPCION = 5;
  idx_RemesasClienteUSUARIO = 6;
  idx_RemesasClienteID_DATOS_BANCO = 7;
  idx_RemesasClienteFECHA_ALTA = 8;
  idx_RemesasClienteFECHA_MODIFICACION = 9;
  idx_RemesasClienteIMPORTE_TOTAL = 10;
  idx_RemesasClienteNOMBRE = 11;
  idx_RemesasClienteENTIDAD = 12;
  idx_RemesasClienteSUCURSAL = 13;
  idx_RemesasClienteDC = 14;
  idx_RemesasClienteCUENTA = 15;
  idx_RemesasClienteSUFIJO_N19 = 16;
  idx_RemesasClienteSUFIJO_N58 = 17;

  { RemesasCliente_Refresh fields }
  fld_RemesasCliente_RefreshID = 'ID';
  fld_RemesasCliente_RefreshID_EMPRESA = 'ID_EMPRESA';
  fld_RemesasCliente_RefreshREFERENCIA = 'REFERENCIA';
  fld_RemesasCliente_RefreshTIPO = 'TIPO';
  fld_RemesasCliente_RefreshFECHA_REMESA = 'FECHA_REMESA';
  fld_RemesasCliente_RefreshDESCRIPCION = 'DESCRIPCION';
  fld_RemesasCliente_RefreshUSUARIO = 'USUARIO';
  fld_RemesasCliente_RefreshID_DATOS_BANCO = 'ID_DATOS_BANCO';
  fld_RemesasCliente_RefreshFECHA_ALTA = 'FECHA_ALTA';
  fld_RemesasCliente_RefreshFECHA_MODIFICACION = 'FECHA_MODIFICACION';
  fld_RemesasCliente_RefreshIMPORTE_TOTAL = 'IMPORTE_TOTAL';
  fld_RemesasCliente_RefreshNOMBRE = 'NOMBRE';
  fld_RemesasCliente_RefreshENTIDAD = 'ENTIDAD';
  fld_RemesasCliente_RefreshSUCURSAL = 'SUCURSAL';
  fld_RemesasCliente_RefreshDC = 'DC';
  fld_RemesasCliente_RefreshCUENTA = 'CUENTA';
  fld_RemesasCliente_RefreshSUFIJO_N19 = 'SUFIJO_N19';
  fld_RemesasCliente_RefreshSUFIJO_N58 = 'SUFIJO_N58';

  { RemesasCliente_Refresh field indexes }
  idx_RemesasCliente_RefreshID = 0;
  idx_RemesasCliente_RefreshID_EMPRESA = 1;
  idx_RemesasCliente_RefreshREFERENCIA = 2;
  idx_RemesasCliente_RefreshTIPO = 3;
  idx_RemesasCliente_RefreshFECHA_REMESA = 4;
  idx_RemesasCliente_RefreshDESCRIPCION = 5;
  idx_RemesasCliente_RefreshUSUARIO = 6;
  idx_RemesasCliente_RefreshID_DATOS_BANCO = 7;
  idx_RemesasCliente_RefreshFECHA_ALTA = 8;
  idx_RemesasCliente_RefreshFECHA_MODIFICACION = 9;
  idx_RemesasCliente_RefreshIMPORTE_TOTAL = 10;
  idx_RemesasCliente_RefreshNOMBRE = 11;
  idx_RemesasCliente_RefreshENTIDAD = 12;
  idx_RemesasCliente_RefreshSUCURSAL = 13;
  idx_RemesasCliente_RefreshDC = 14;
  idx_RemesasCliente_RefreshCUENTA = 15;
  idx_RemesasCliente_RefreshSUFIJO_N19 = 16;
  idx_RemesasCliente_RefreshSUFIJO_N58 = 17;

type
  { IdarReferencia }
  IdarReferencia = interface(IDAStronglyTypedDataTable)
  ['{7AF88C22-93F7-445B-A55E-87212FDB6C3C}']
    { Property getters and setters }
    function GetVALORValue: String;
    procedure SetVALORValue(const aValue: String);


    { Properties }
    property VALOR: String read GetVALORValue write SetVALORValue;
  end;

  { TdarReferenciaDataTableRules }
  TdarReferenciaDataTableRules = class(TDADataTableRules, IdarReferencia)
  private
  protected
    { Property getters and setters }
    function GetVALORValue: String; virtual;
    procedure SetVALORValue(const aValue: String); virtual;

    { Properties }
    property VALOR: String read GetVALORValue write SetVALORValue;

  public
    constructor Create(aDataTable: TDADataTable); override;
    destructor Destroy; override;

  end;

  { IRemesasCliente }
  IRemesasCliente = interface(IDAStronglyTypedDataTable)
  ['{3CB2DF7A-3B62-4B93-84B1-634DF3842413}']
    { Property getters and setters }
    function GetIDValue: Integer;
    procedure SetIDValue(const aValue: Integer);
    function GetID_EMPRESAValue: Integer;
    procedure SetID_EMPRESAValue(const aValue: Integer);
    function GetREFERENCIAValue: String;
    procedure SetREFERENCIAValue(const aValue: String);
    function GetTIPOValue: String;
    procedure SetTIPOValue(const aValue: String);
    function GetFECHA_REMESAValue: DateTime;
    procedure SetFECHA_REMESAValue(const aValue: DateTime);
    function GetDESCRIPCIONValue: String;
    procedure SetDESCRIPCIONValue(const aValue: String);
    function GetUSUARIOValue: String;
    procedure SetUSUARIOValue(const aValue: String);
    function GetID_DATOS_BANCOValue: Integer;
    procedure SetID_DATOS_BANCOValue(const aValue: Integer);
    function GetFECHA_ALTAValue: DateTime;
    procedure SetFECHA_ALTAValue(const aValue: DateTime);
    function GetFECHA_MODIFICACIONValue: DateTime;
    procedure SetFECHA_MODIFICACIONValue(const aValue: DateTime);
    function GetIMPORTE_TOTALValue: Float;
    procedure SetIMPORTE_TOTALValue(const aValue: Float);
    function GetNOMBREValue: String;
    procedure SetNOMBREValue(const aValue: String);
    function GetENTIDADValue: String;
    procedure SetENTIDADValue(const aValue: String);
    function GetSUCURSALValue: String;
    procedure SetSUCURSALValue(const aValue: String);
    function GetDCValue: String;
    procedure SetDCValue(const aValue: String);
    function GetCUENTAValue: String;
    procedure SetCUENTAValue(const aValue: String);
    function GetSUFIJO_N19Value: String;
    procedure SetSUFIJO_N19Value(const aValue: String);
    function GetSUFIJO_N58Value: String;
    procedure SetSUFIJO_N58Value(const aValue: String);


    { Properties }
    property ID: Integer read GetIDValue write SetIDValue;
    property ID_EMPRESA: Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property REFERENCIA: String read GetREFERENCIAValue write SetREFERENCIAValue;
    property TIPO: String read GetTIPOValue write SetTIPOValue;
    property FECHA_REMESA: DateTime read GetFECHA_REMESAValue write SetFECHA_REMESAValue;
    property DESCRIPCION: String read GetDESCRIPCIONValue write SetDESCRIPCIONValue;
    property USUARIO: String read GetUSUARIOValue write SetUSUARIOValue;
    property ID_DATOS_BANCO: Integer read GetID_DATOS_BANCOValue write SetID_DATOS_BANCOValue;
    property FECHA_ALTA: DateTime read GetFECHA_ALTAValue write SetFECHA_ALTAValue;
    property FECHA_MODIFICACION: DateTime read GetFECHA_MODIFICACIONValue write SetFECHA_MODIFICACIONValue;
    property IMPORTE_TOTAL: Float read GetIMPORTE_TOTALValue write SetIMPORTE_TOTALValue;
    property NOMBRE: String read GetNOMBREValue write SetNOMBREValue;
    property ENTIDAD: String read GetENTIDADValue write SetENTIDADValue;
    property SUCURSAL: String read GetSUCURSALValue write SetSUCURSALValue;
    property DC: String read GetDCValue write SetDCValue;
    property CUENTA: String read GetCUENTAValue write SetCUENTAValue;
    property SUFIJO_N19: String read GetSUFIJO_N19Value write SetSUFIJO_N19Value;
    property SUFIJO_N58: String read GetSUFIJO_N58Value write SetSUFIJO_N58Value;
  end;

  { TRemesasClienteDataTableRules }
  TRemesasClienteDataTableRules = class(TDADataTableRules, IRemesasCliente)
  private
  protected
    { Property getters and setters }
    function GetIDValue: Integer; virtual;
    procedure SetIDValue(const aValue: Integer); virtual;
    function GetID_EMPRESAValue: Integer; virtual;
    procedure SetID_EMPRESAValue(const aValue: Integer); virtual;
    function GetREFERENCIAValue: String; virtual;
    procedure SetREFERENCIAValue(const aValue: String); virtual;
    function GetTIPOValue: String; virtual;
    procedure SetTIPOValue(const aValue: String); virtual;
    function GetFECHA_REMESAValue: DateTime; virtual;
    procedure SetFECHA_REMESAValue(const aValue: DateTime); virtual;
    function GetDESCRIPCIONValue: String; virtual;
    procedure SetDESCRIPCIONValue(const aValue: String); virtual;
    function GetUSUARIOValue: String; virtual;
    procedure SetUSUARIOValue(const aValue: String); virtual;
    function GetID_DATOS_BANCOValue: Integer; virtual;
    procedure SetID_DATOS_BANCOValue(const aValue: Integer); virtual;
    function GetFECHA_ALTAValue: DateTime; virtual;
    procedure SetFECHA_ALTAValue(const aValue: DateTime); virtual;
    function GetFECHA_MODIFICACIONValue: DateTime; virtual;
    procedure SetFECHA_MODIFICACIONValue(const aValue: DateTime); virtual;
    function GetIMPORTE_TOTALValue: Float; virtual;
    procedure SetIMPORTE_TOTALValue(const aValue: Float); virtual;
    function GetNOMBREValue: String; virtual;
    procedure SetNOMBREValue(const aValue: String); virtual;
    function GetENTIDADValue: String; virtual;
    procedure SetENTIDADValue(const aValue: String); virtual;
    function GetSUCURSALValue: String; virtual;
    procedure SetSUCURSALValue(const aValue: String); virtual;
    function GetDCValue: String; virtual;
    procedure SetDCValue(const aValue: String); virtual;
    function GetCUENTAValue: String; virtual;
    procedure SetCUENTAValue(const aValue: String); virtual;
    function GetSUFIJO_N19Value: String; virtual;
    procedure SetSUFIJO_N19Value(const aValue: String); virtual;
    function GetSUFIJO_N58Value: String; virtual;
    procedure SetSUFIJO_N58Value(const aValue: String); virtual;

    { Properties }
    property ID: Integer read GetIDValue write SetIDValue;
    property ID_EMPRESA: Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property REFERENCIA: String read GetREFERENCIAValue write SetREFERENCIAValue;
    property TIPO: String read GetTIPOValue write SetTIPOValue;
    property FECHA_REMESA: DateTime read GetFECHA_REMESAValue write SetFECHA_REMESAValue;
    property DESCRIPCION: String read GetDESCRIPCIONValue write SetDESCRIPCIONValue;
    property USUARIO: String read GetUSUARIOValue write SetUSUARIOValue;
    property ID_DATOS_BANCO: Integer read GetID_DATOS_BANCOValue write SetID_DATOS_BANCOValue;
    property FECHA_ALTA: DateTime read GetFECHA_ALTAValue write SetFECHA_ALTAValue;
    property FECHA_MODIFICACION: DateTime read GetFECHA_MODIFICACIONValue write SetFECHA_MODIFICACIONValue;
    property IMPORTE_TOTAL: Float read GetIMPORTE_TOTALValue write SetIMPORTE_TOTALValue;
    property NOMBRE: String read GetNOMBREValue write SetNOMBREValue;
    property ENTIDAD: String read GetENTIDADValue write SetENTIDADValue;
    property SUCURSAL: String read GetSUCURSALValue write SetSUCURSALValue;
    property DC: String read GetDCValue write SetDCValue;
    property CUENTA: String read GetCUENTAValue write SetCUENTAValue;
    property SUFIJO_N19: String read GetSUFIJO_N19Value write SetSUFIJO_N19Value;
    property SUFIJO_N58: String read GetSUFIJO_N58Value write SetSUFIJO_N58Value;

  public
    constructor Create(aDataTable: TDADataTable); override;
    destructor Destroy; override;

  end;

  { IRemesasCliente_Refresh }
  IRemesasCliente_Refresh = interface(IDAStronglyTypedDataTable)
  ['{3F695DCE-EABB-439F-BC19-6FD396148EB6}']
    { Property getters and setters }
    function GetIDValue: Integer;
    procedure SetIDValue(const aValue: Integer);
    function GetID_EMPRESAValue: Integer;
    procedure SetID_EMPRESAValue(const aValue: Integer);
    function GetREFERENCIAValue: String;
    procedure SetREFERENCIAValue(const aValue: String);
    function GetTIPOValue: String;
    procedure SetTIPOValue(const aValue: String);
    function GetFECHA_REMESAValue: DateTime;
    procedure SetFECHA_REMESAValue(const aValue: DateTime);
    function GetDESCRIPCIONValue: String;
    procedure SetDESCRIPCIONValue(const aValue: String);
    function GetUSUARIOValue: String;
    procedure SetUSUARIOValue(const aValue: String);
    function GetID_DATOS_BANCOValue: Integer;
    procedure SetID_DATOS_BANCOValue(const aValue: Integer);
    function GetFECHA_ALTAValue: DateTime;
    procedure SetFECHA_ALTAValue(const aValue: DateTime);
    function GetFECHA_MODIFICACIONValue: DateTime;
    procedure SetFECHA_MODIFICACIONValue(const aValue: DateTime);
    function GetIMPORTE_TOTALValue: Float;
    procedure SetIMPORTE_TOTALValue(const aValue: Float);
    function GetNOMBREValue: String;
    procedure SetNOMBREValue(const aValue: String);
    function GetENTIDADValue: String;
    procedure SetENTIDADValue(const aValue: String);
    function GetSUCURSALValue: String;
    procedure SetSUCURSALValue(const aValue: String);
    function GetDCValue: String;
    procedure SetDCValue(const aValue: String);
    function GetCUENTAValue: String;
    procedure SetCUENTAValue(const aValue: String);
    function GetSUFIJO_N19Value: String;
    procedure SetSUFIJO_N19Value(const aValue: String);
    function GetSUFIJO_N58Value: String;
    procedure SetSUFIJO_N58Value(const aValue: String);


    { Properties }
    property ID: Integer read GetIDValue write SetIDValue;
    property ID_EMPRESA: Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property REFERENCIA: String read GetREFERENCIAValue write SetREFERENCIAValue;
    property TIPO: String read GetTIPOValue write SetTIPOValue;
    property FECHA_REMESA: DateTime read GetFECHA_REMESAValue write SetFECHA_REMESAValue;
    property DESCRIPCION: String read GetDESCRIPCIONValue write SetDESCRIPCIONValue;
    property USUARIO: String read GetUSUARIOValue write SetUSUARIOValue;
    property ID_DATOS_BANCO: Integer read GetID_DATOS_BANCOValue write SetID_DATOS_BANCOValue;
    property FECHA_ALTA: DateTime read GetFECHA_ALTAValue write SetFECHA_ALTAValue;
    property FECHA_MODIFICACION: DateTime read GetFECHA_MODIFICACIONValue write SetFECHA_MODIFICACIONValue;
    property IMPORTE_TOTAL: Float read GetIMPORTE_TOTALValue write SetIMPORTE_TOTALValue;
    property NOMBRE: String read GetNOMBREValue write SetNOMBREValue;
    property ENTIDAD: String read GetENTIDADValue write SetENTIDADValue;
    property SUCURSAL: String read GetSUCURSALValue write SetSUCURSALValue;
    property DC: String read GetDCValue write SetDCValue;
    property CUENTA: String read GetCUENTAValue write SetCUENTAValue;
    property SUFIJO_N19: String read GetSUFIJO_N19Value write SetSUFIJO_N19Value;
    property SUFIJO_N58: String read GetSUFIJO_N58Value write SetSUFIJO_N58Value;
  end;

  { TRemesasCliente_RefreshDataTableRules }
  TRemesasCliente_RefreshDataTableRules = class(TDADataTableRules, IRemesasCliente_Refresh)
  private
  protected
    { Property getters and setters }
    function GetIDValue: Integer; virtual;
    procedure SetIDValue(const aValue: Integer); virtual;
    function GetID_EMPRESAValue: Integer; virtual;
    procedure SetID_EMPRESAValue(const aValue: Integer); virtual;
    function GetREFERENCIAValue: String; virtual;
    procedure SetREFERENCIAValue(const aValue: String); virtual;
    function GetTIPOValue: String; virtual;
    procedure SetTIPOValue(const aValue: String); virtual;
    function GetFECHA_REMESAValue: DateTime; virtual;
    procedure SetFECHA_REMESAValue(const aValue: DateTime); virtual;
    function GetDESCRIPCIONValue: String; virtual;
    procedure SetDESCRIPCIONValue(const aValue: String); virtual;
    function GetUSUARIOValue: String; virtual;
    procedure SetUSUARIOValue(const aValue: String); virtual;
    function GetID_DATOS_BANCOValue: Integer; virtual;
    procedure SetID_DATOS_BANCOValue(const aValue: Integer); virtual;
    function GetFECHA_ALTAValue: DateTime; virtual;
    procedure SetFECHA_ALTAValue(const aValue: DateTime); virtual;
    function GetFECHA_MODIFICACIONValue: DateTime; virtual;
    procedure SetFECHA_MODIFICACIONValue(const aValue: DateTime); virtual;
    function GetIMPORTE_TOTALValue: Float; virtual;
    procedure SetIMPORTE_TOTALValue(const aValue: Float); virtual;
    function GetNOMBREValue: String; virtual;
    procedure SetNOMBREValue(const aValue: String); virtual;
    function GetENTIDADValue: String; virtual;
    procedure SetENTIDADValue(const aValue: String); virtual;
    function GetSUCURSALValue: String; virtual;
    procedure SetSUCURSALValue(const aValue: String); virtual;
    function GetDCValue: String; virtual;
    procedure SetDCValue(const aValue: String); virtual;
    function GetCUENTAValue: String; virtual;
    procedure SetCUENTAValue(const aValue: String); virtual;
    function GetSUFIJO_N19Value: String; virtual;
    procedure SetSUFIJO_N19Value(const aValue: String); virtual;
    function GetSUFIJO_N58Value: String; virtual;
    procedure SetSUFIJO_N58Value(const aValue: String); virtual;

    { Properties }
    property ID: Integer read GetIDValue write SetIDValue;
    property ID_EMPRESA: Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property REFERENCIA: String read GetREFERENCIAValue write SetREFERENCIAValue;
    property TIPO: String read GetTIPOValue write SetTIPOValue;
    property FECHA_REMESA: DateTime read GetFECHA_REMESAValue write SetFECHA_REMESAValue;
    property DESCRIPCION: String read GetDESCRIPCIONValue write SetDESCRIPCIONValue;
    property USUARIO: String read GetUSUARIOValue write SetUSUARIOValue;
    property ID_DATOS_BANCO: Integer read GetID_DATOS_BANCOValue write SetID_DATOS_BANCOValue;
    property FECHA_ALTA: DateTime read GetFECHA_ALTAValue write SetFECHA_ALTAValue;
    property FECHA_MODIFICACION: DateTime read GetFECHA_MODIFICACIONValue write SetFECHA_MODIFICACIONValue;
    property IMPORTE_TOTAL: Float read GetIMPORTE_TOTALValue write SetIMPORTE_TOTALValue;
    property NOMBRE: String read GetNOMBREValue write SetNOMBREValue;
    property ENTIDAD: String read GetENTIDADValue write SetENTIDADValue;
    property SUCURSAL: String read GetSUCURSALValue write SetSUCURSALValue;
    property DC: String read GetDCValue write SetDCValue;
    property CUENTA: String read GetCUENTAValue write SetCUENTAValue;
    property SUFIJO_N19: String read GetSUFIJO_N19Value write SetSUFIJO_N19Value;
    property SUFIJO_N58: String read GetSUFIJO_N58Value write SetSUFIJO_N58Value;

  public
    constructor Create(aDataTable: TDADataTable); override;
    destructor Destroy; override;

  end;

implementation

uses Variants;

{ TdarReferenciaDataTableRules }
constructor TdarReferenciaDataTableRules.Create(aDataTable: TDADataTable);
begin
  inherited;
end;

destructor TdarReferenciaDataTableRules.Destroy;
begin
  inherited;
end;

function TdarReferenciaDataTableRules.GetVALORValue: String;
begin
  result := DataTable.Fields[idx_darReferenciaVALOR].AsString;
end;

procedure TdarReferenciaDataTableRules.SetVALORValue(const aValue: String);
begin
  DataTable.Fields[idx_darReferenciaVALOR].AsString := aValue;
end;


{ TRemesasClienteDataTableRules }
constructor TRemesasClienteDataTableRules.Create(aDataTable: TDADataTable);
begin
  inherited;
end;

destructor TRemesasClienteDataTableRules.Destroy;
begin
  inherited;
end;

function TRemesasClienteDataTableRules.GetIDValue: Integer;
begin
  result := DataTable.Fields[idx_RemesasClienteID].AsInteger;
end;

procedure TRemesasClienteDataTableRules.SetIDValue(const aValue: Integer);
begin
  DataTable.Fields[idx_RemesasClienteID].AsInteger := aValue;
end;

function TRemesasClienteDataTableRules.GetID_EMPRESAValue: Integer;
begin
  result := DataTable.Fields[idx_RemesasClienteID_EMPRESA].AsInteger;
end;

procedure TRemesasClienteDataTableRules.SetID_EMPRESAValue(const aValue: Integer);
begin
  DataTable.Fields[idx_RemesasClienteID_EMPRESA].AsInteger := aValue;
end;

function TRemesasClienteDataTableRules.GetREFERENCIAValue: String;
begin
  result := DataTable.Fields[idx_RemesasClienteREFERENCIA].AsString;
end;

procedure TRemesasClienteDataTableRules.SetREFERENCIAValue(const aValue: String);
begin
  DataTable.Fields[idx_RemesasClienteREFERENCIA].AsString := aValue;
end;

function TRemesasClienteDataTableRules.GetTIPOValue: String;
begin
  result := DataTable.Fields[idx_RemesasClienteTIPO].AsString;
end;

procedure TRemesasClienteDataTableRules.SetTIPOValue(const aValue: String);
begin
  DataTable.Fields[idx_RemesasClienteTIPO].AsString := aValue;
end;

function TRemesasClienteDataTableRules.GetFECHA_REMESAValue: DateTime;
begin
  result := DataTable.Fields[idx_RemesasClienteFECHA_REMESA].AsDateTime;
end;

procedure TRemesasClienteDataTableRules.SetFECHA_REMESAValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_RemesasClienteFECHA_REMESA].AsDateTime := aValue;
end;

function TRemesasClienteDataTableRules.GetDESCRIPCIONValue: String;
begin
  result := DataTable.Fields[idx_RemesasClienteDESCRIPCION].AsString;
end;

procedure TRemesasClienteDataTableRules.SetDESCRIPCIONValue(const aValue: String);
begin
  DataTable.Fields[idx_RemesasClienteDESCRIPCION].AsString := aValue;
end;

function TRemesasClienteDataTableRules.GetUSUARIOValue: String;
begin
  result := DataTable.Fields[idx_RemesasClienteUSUARIO].AsString;
end;

procedure TRemesasClienteDataTableRules.SetUSUARIOValue(const aValue: String);
begin
  DataTable.Fields[idx_RemesasClienteUSUARIO].AsString := aValue;
end;

function TRemesasClienteDataTableRules.GetID_DATOS_BANCOValue: Integer;
begin
  result := DataTable.Fields[idx_RemesasClienteID_DATOS_BANCO].AsInteger;
end;

procedure TRemesasClienteDataTableRules.SetID_DATOS_BANCOValue(const aValue: Integer);
begin
  DataTable.Fields[idx_RemesasClienteID_DATOS_BANCO].AsInteger := aValue;
end;

function TRemesasClienteDataTableRules.GetFECHA_ALTAValue: DateTime;
begin
  result := DataTable.Fields[idx_RemesasClienteFECHA_ALTA].AsDateTime;
end;

procedure TRemesasClienteDataTableRules.SetFECHA_ALTAValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_RemesasClienteFECHA_ALTA].AsDateTime := aValue;
end;

function TRemesasClienteDataTableRules.GetFECHA_MODIFICACIONValue: DateTime;
begin
  result := DataTable.Fields[idx_RemesasClienteFECHA_MODIFICACION].AsDateTime;
end;

procedure TRemesasClienteDataTableRules.SetFECHA_MODIFICACIONValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_RemesasClienteFECHA_MODIFICACION].AsDateTime := aValue;
end;

function TRemesasClienteDataTableRules.GetIMPORTE_TOTALValue: Float;
begin
  result := DataTable.Fields[idx_RemesasClienteIMPORTE_TOTAL].AsFloat;
end;

procedure TRemesasClienteDataTableRules.SetIMPORTE_TOTALValue(const aValue: Float);
begin
  DataTable.Fields[idx_RemesasClienteIMPORTE_TOTAL].AsFloat := aValue;
end;

function TRemesasClienteDataTableRules.GetNOMBREValue: String;
begin
  result := DataTable.Fields[idx_RemesasClienteNOMBRE].AsString;
end;

procedure TRemesasClienteDataTableRules.SetNOMBREValue(const aValue: String);
begin
  DataTable.Fields[idx_RemesasClienteNOMBRE].AsString := aValue;
end;

function TRemesasClienteDataTableRules.GetENTIDADValue: String;
begin
  result := DataTable.Fields[idx_RemesasClienteENTIDAD].AsString;
end;

procedure TRemesasClienteDataTableRules.SetENTIDADValue(const aValue: String);
begin
  DataTable.Fields[idx_RemesasClienteENTIDAD].AsString := aValue;
end;

function TRemesasClienteDataTableRules.GetSUCURSALValue: String;
begin
  result := DataTable.Fields[idx_RemesasClienteSUCURSAL].AsString;
end;

procedure TRemesasClienteDataTableRules.SetSUCURSALValue(const aValue: String);
begin
  DataTable.Fields[idx_RemesasClienteSUCURSAL].AsString := aValue;
end;

function TRemesasClienteDataTableRules.GetDCValue: String;
begin
  result := DataTable.Fields[idx_RemesasClienteDC].AsString;
end;

procedure TRemesasClienteDataTableRules.SetDCValue(const aValue: String);
begin
  DataTable.Fields[idx_RemesasClienteDC].AsString := aValue;
end;

function TRemesasClienteDataTableRules.GetCUENTAValue: String;
begin
  result := DataTable.Fields[idx_RemesasClienteCUENTA].AsString;
end;

procedure TRemesasClienteDataTableRules.SetCUENTAValue(const aValue: String);
begin
  DataTable.Fields[idx_RemesasClienteCUENTA].AsString := aValue;
end;

function TRemesasClienteDataTableRules.GetSUFIJO_N19Value: String;
begin
  result := DataTable.Fields[idx_RemesasClienteSUFIJO_N19].AsString;
end;

procedure TRemesasClienteDataTableRules.SetSUFIJO_N19Value(const aValue: String);
begin
  DataTable.Fields[idx_RemesasClienteSUFIJO_N19].AsString := aValue;
end;

function TRemesasClienteDataTableRules.GetSUFIJO_N58Value: String;
begin
  result := DataTable.Fields[idx_RemesasClienteSUFIJO_N58].AsString;
end;

procedure TRemesasClienteDataTableRules.SetSUFIJO_N58Value(const aValue: String);
begin
  DataTable.Fields[idx_RemesasClienteSUFIJO_N58].AsString := aValue;
end;


{ TRemesasCliente_RefreshDataTableRules }
constructor TRemesasCliente_RefreshDataTableRules.Create(aDataTable: TDADataTable);
begin
  inherited;
end;

destructor TRemesasCliente_RefreshDataTableRules.Destroy;
begin
  inherited;
end;

function TRemesasCliente_RefreshDataTableRules.GetIDValue: Integer;
begin
  result := DataTable.Fields[idx_RemesasCliente_RefreshID].AsInteger;
end;

procedure TRemesasCliente_RefreshDataTableRules.SetIDValue(const aValue: Integer);
begin
  DataTable.Fields[idx_RemesasCliente_RefreshID].AsInteger := aValue;
end;

function TRemesasCliente_RefreshDataTableRules.GetID_EMPRESAValue: Integer;
begin
  result := DataTable.Fields[idx_RemesasCliente_RefreshID_EMPRESA].AsInteger;
end;

procedure TRemesasCliente_RefreshDataTableRules.SetID_EMPRESAValue(const aValue: Integer);
begin
  DataTable.Fields[idx_RemesasCliente_RefreshID_EMPRESA].AsInteger := aValue;
end;

function TRemesasCliente_RefreshDataTableRules.GetREFERENCIAValue: String;
begin
  result := DataTable.Fields[idx_RemesasCliente_RefreshREFERENCIA].AsString;
end;

procedure TRemesasCliente_RefreshDataTableRules.SetREFERENCIAValue(const aValue: String);
begin
  DataTable.Fields[idx_RemesasCliente_RefreshREFERENCIA].AsString := aValue;
end;

function TRemesasCliente_RefreshDataTableRules.GetTIPOValue: String;
begin
  result := DataTable.Fields[idx_RemesasCliente_RefreshTIPO].AsString;
end;

procedure TRemesasCliente_RefreshDataTableRules.SetTIPOValue(const aValue: String);
begin
  DataTable.Fields[idx_RemesasCliente_RefreshTIPO].AsString := aValue;
end;

function TRemesasCliente_RefreshDataTableRules.GetFECHA_REMESAValue: DateTime;
begin
  result := DataTable.Fields[idx_RemesasCliente_RefreshFECHA_REMESA].AsDateTime;
end;

procedure TRemesasCliente_RefreshDataTableRules.SetFECHA_REMESAValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_RemesasCliente_RefreshFECHA_REMESA].AsDateTime := aValue;
end;

function TRemesasCliente_RefreshDataTableRules.GetDESCRIPCIONValue: String;
begin
  result := DataTable.Fields[idx_RemesasCliente_RefreshDESCRIPCION].AsString;
end;

procedure TRemesasCliente_RefreshDataTableRules.SetDESCRIPCIONValue(const aValue: String);
begin
  DataTable.Fields[idx_RemesasCliente_RefreshDESCRIPCION].AsString := aValue;
end;

function TRemesasCliente_RefreshDataTableRules.GetUSUARIOValue: String;
begin
  result := DataTable.Fields[idx_RemesasCliente_RefreshUSUARIO].AsString;
end;

procedure TRemesasCliente_RefreshDataTableRules.SetUSUARIOValue(const aValue: String);
begin
  DataTable.Fields[idx_RemesasCliente_RefreshUSUARIO].AsString := aValue;
end;

function TRemesasCliente_RefreshDataTableRules.GetID_DATOS_BANCOValue: Integer;
begin
  result := DataTable.Fields[idx_RemesasCliente_RefreshID_DATOS_BANCO].AsInteger;
end;

procedure TRemesasCliente_RefreshDataTableRules.SetID_DATOS_BANCOValue(const aValue: Integer);
begin
  DataTable.Fields[idx_RemesasCliente_RefreshID_DATOS_BANCO].AsInteger := aValue;
end;

function TRemesasCliente_RefreshDataTableRules.GetFECHA_ALTAValue: DateTime;
begin
  result := DataTable.Fields[idx_RemesasCliente_RefreshFECHA_ALTA].AsDateTime;
end;

procedure TRemesasCliente_RefreshDataTableRules.SetFECHA_ALTAValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_RemesasCliente_RefreshFECHA_ALTA].AsDateTime := aValue;
end;

function TRemesasCliente_RefreshDataTableRules.GetFECHA_MODIFICACIONValue: DateTime;
begin
  result := DataTable.Fields[idx_RemesasCliente_RefreshFECHA_MODIFICACION].AsDateTime;
end;

procedure TRemesasCliente_RefreshDataTableRules.SetFECHA_MODIFICACIONValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_RemesasCliente_RefreshFECHA_MODIFICACION].AsDateTime := aValue;
end;

function TRemesasCliente_RefreshDataTableRules.GetIMPORTE_TOTALValue: Float;
begin
  result := DataTable.Fields[idx_RemesasCliente_RefreshIMPORTE_TOTAL].AsFloat;
end;

procedure TRemesasCliente_RefreshDataTableRules.SetIMPORTE_TOTALValue(const aValue: Float);
begin
  DataTable.Fields[idx_RemesasCliente_RefreshIMPORTE_TOTAL].AsFloat := aValue;
end;

function TRemesasCliente_RefreshDataTableRules.GetNOMBREValue: String;
begin
  result := DataTable.Fields[idx_RemesasCliente_RefreshNOMBRE].AsString;
end;

procedure TRemesasCliente_RefreshDataTableRules.SetNOMBREValue(const aValue: String);
begin
  DataTable.Fields[idx_RemesasCliente_RefreshNOMBRE].AsString := aValue;
end;

function TRemesasCliente_RefreshDataTableRules.GetENTIDADValue: String;
begin
  result := DataTable.Fields[idx_RemesasCliente_RefreshENTIDAD].AsString;
end;

procedure TRemesasCliente_RefreshDataTableRules.SetENTIDADValue(const aValue: String);
begin
  DataTable.Fields[idx_RemesasCliente_RefreshENTIDAD].AsString := aValue;
end;

function TRemesasCliente_RefreshDataTableRules.GetSUCURSALValue: String;
begin
  result := DataTable.Fields[idx_RemesasCliente_RefreshSUCURSAL].AsString;
end;

procedure TRemesasCliente_RefreshDataTableRules.SetSUCURSALValue(const aValue: String);
begin
  DataTable.Fields[idx_RemesasCliente_RefreshSUCURSAL].AsString := aValue;
end;

function TRemesasCliente_RefreshDataTableRules.GetDCValue: String;
begin
  result := DataTable.Fields[idx_RemesasCliente_RefreshDC].AsString;
end;

procedure TRemesasCliente_RefreshDataTableRules.SetDCValue(const aValue: String);
begin
  DataTable.Fields[idx_RemesasCliente_RefreshDC].AsString := aValue;
end;

function TRemesasCliente_RefreshDataTableRules.GetCUENTAValue: String;
begin
  result := DataTable.Fields[idx_RemesasCliente_RefreshCUENTA].AsString;
end;

procedure TRemesasCliente_RefreshDataTableRules.SetCUENTAValue(const aValue: String);
begin
  DataTable.Fields[idx_RemesasCliente_RefreshCUENTA].AsString := aValue;
end;

function TRemesasCliente_RefreshDataTableRules.GetSUFIJO_N19Value: String;
begin
  result := DataTable.Fields[idx_RemesasCliente_RefreshSUFIJO_N19].AsString;
end;

procedure TRemesasCliente_RefreshDataTableRules.SetSUFIJO_N19Value(const aValue: String);
begin
  DataTable.Fields[idx_RemesasCliente_RefreshSUFIJO_N19].AsString := aValue;
end;

function TRemesasCliente_RefreshDataTableRules.GetSUFIJO_N58Value: String;
begin
  result := DataTable.Fields[idx_RemesasCliente_RefreshSUFIJO_N58].AsString;
end;

procedure TRemesasCliente_RefreshDataTableRules.SetSUFIJO_N58Value(const aValue: String);
begin
  DataTable.Fields[idx_RemesasCliente_RefreshSUFIJO_N58].AsString := aValue;
end;


initialization
  RegisterDataTableRules(RID_darReferencia, TdarReferenciaDataTableRules);
  RegisterDataTableRules(RID_RemesasCliente, TRemesasClienteDataTableRules);
  RegisterDataTableRules(RID_RemesasCliente_Refresh, TRemesasCliente_RefreshDataTableRules);

end.
